Skip to main content
POST
/
public
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
environments
/
{environmentId}
/
instance
/
{instanceId}
/
vnet
/
{vnetId}
/
transactions
Send Transaction on Environment Virtual TestNet
curl --request POST \
  --url https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/vnet/{vnetId}/transactions \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --data '
{
  "callArgs": {
    "from": "0xb5f45E52649123117C175B2016Ed3fCd26f9bE06",
    "to": "0xe5f48e692e0e12c04d5c15bbb54e8a8e5fc87589",
    "gas": "0x7a1200",
    "gasPrice": "0x0",
    "value": "0x0",
    "data": "0x6a761202000000000000000000000000b4f1737af37711e9a5890d9510c9bb60e170cb0d0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001c00000000000000000000000000000000000000000000000000000000000000044a9059cbb000000000000000000000000d385a69be7506be3920e2d66611db370218839980000000000000000000000000000000000000000000000000de0b6b3a7640000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000041000000000000000000000000b5f45e52649123117c175b2016ed3fcd26f9be0600000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000"
  },
  "stateOverrides": {
    "0xe5f48e692e0e12c04d5c15bbb54e8a8e5fc87589": {
      "balance": "0x124125",
      "stateDiff": {
        "0x0000000000000000000000000000000000000000000000000000000000000004": "0x0000000000000000000000000000000000000000000000000000000000000001",
        "0x0000000000000000000000000000000000000000000000000000000000000005": "0x0000000000000000000000000000000000000000000000000000000000000002"
      }
    }
  },
  "blockOverrides": {
    "number": "0x143722873",
    "time": "0x124124"
  }
}
'
{
  "id": "a3235752-0f5a-4d32-8e43-e7629a9f7462",
  "vnet_id": "d6cf4c06-24c3-4841-9a85-e77ed341d8e2",
  "origin": "rpc",
  "category": "write",
  "kind": "cheatcode",
  "status": "success",
  "error_reason": null,
  "reverted": false,
  "rpc_method": "hardhat_mine",
  "created_at": "2024-04-19T12:21:48.373698Z",
  "dashboard_url": "https://dashboard.tenderly.co/transactions/a3235752-0f5a-4d32-8e43-e7629a9f7462",
  "block_number": "0x12c5113",
  "block_hash": "0xe28d8b295d236f85db34dc12982f5235e361101a26cf35f4be798fb000997194",
  "tx_hash": "0x0288ab91522c19cd1589eb73b86f4b874c52ed39cdce1ba7cef790f314c4523f",
  "tx_index": "0x0",
  "from": "0xfa78a211f7df670338daed1f96177c9fe154fcb1",
  "to": "0x6c8b8870c415f3b2d5fe0cd61e9c6960bad8e0c9",
  "input": "0x071e9503000000000000000000000000000000000000000000000000000000000000000a000000000000000000000000000000000000000000000000000000000000000a",
  "nonce": "0x15",
  "value": "0x0",
  "gas": "0xc0dec0de",
  "gas_price": "0x0",
  "max_priority_fee_per_gas": "0x0",
  "max_fee_per_gas": "0x0",
  "type": "0x0",
  "function_name": "mint"
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account ID or slug

projectSlug
string
required

Project ID or slug

environmentId
string<uuid>
required

Environment ID

instanceId
string<uuid>
required

Environment instance ID

vnetId
string<uuid>
required

Virtual TestNet ID

Body

application/json

Transaction to execute on the Virtual TestNet

callArgs
callArgs · object
required

Transaction call arguments

blockOverrides
blockOverrides · object

Overrides for block data

Example:
{ "number": "0x124214", "time": "0x124124" }
stateOverrides
stateOverrides · object

Overrides of account state. In this mapping, the key is the address of the account, and the value contains the override.

Response

A successful response.

id
string

Unique identifier of the transaction.

Example:

"4010f442-c4d9-407d-aba1-7276e3312998"

vnet_id
string

Identifier of the Virtual Testnet.

Example:

"4010f442-c4d9-407d-aba1-7276e3312998"

origin
enum<string>

Origin of the transaction.

Available options:
rpc,
copy,
api,
system,
dashboard,
cli,
sdk
Example:

"rpc"

category
enum<string>

Category of the transaction.

Available options:
write,
read,
compute,
subscribe,
config,
chain_sync
Example:

"write"

kind
enum<string>

Kind of transaction.

Available options:
simulation,
blockchain,
fixture,
cheatcode,
cheatcode_faucet,
internal,
sync,
chain_sync
Example:

"blockchain"

status
enum<string>

Status of the transaction.

Available options:
success,
failed,
pending,
unknown
Example:

"success"

error_reason
string | null

Reason for the error. Null if no error.

Example:

"execution reverted"

reverted
boolean

True if the transaction was reverted using evm_revert rpc method.

Example:

false

rpc_method
string

RPC method used to create the transaction.

Example:

"eth_sendTransaction"

created_at
string<date-time>

Timestamp when the transaction was created.

Example:

"2024-04-21T12:00:00Z"

dashboard_url
string

URL to the transaction in the Tenderly dashboard.

Example:

"https://dashboard.tenderly.co/transactions/4010f442-c4d9-407d-aba1-7276e3312998"

public_explorer_url
string

URL to the transaction in the public explorer. Only present if public explorer page is enabled.

Example:

"https://explorer.tenderly.co/transactions/4010f442-c4d9-407d-aba1-7276e3312998"

block_number
string

Block number of the transaction.

Example:

"0x12c50f0"

block_hash
string

Hash of the block containing the transaction.

Example:

"0xe28d8b295d236f85db34dc12982f5235e361101a26cf35f4be798fb000997194"

tx_hash
string

Hash of the transaction.

Example:

"0x0288ab91522c19cd1589eb73b86f4b874c52ed39cdce1ba7cef790f314c4523f"

tx_index
string

Index of the transaction within the block.

Example:

"0x0"

from
string

Sender address of the transaction.

Example:

"0xfa78a211f7df670338daed1f96177c9fe154fcb1"

to
string

Receiver address of the transaction.

Example:

"0x6c8b8870c415f3b2d5fe0cd61e9c6960bad8e0c9"

input
string

Input data of the transaction.

Example:

"0x805e1f53"

nonce
string

Nonce of the transaction.

Example:

"0x15"

value
string

Value of the transaction.

Example:

"0x0"

gas
string

Gas of the transaction.

Example:

"0x5208"

gas_price
string

Gas price of the transaction.

Example:

"0x3b9aca00"

max_priority_fee_per_gas
string

Maximum priority fee per gas of the transaction.

Example:

"0x0"

max_fee_per_gas
string

Maximum fee per gas of the transaction.

Example:

"0x0"

type
string

Type of the transaction.

Example:

"1"

block_overrides
block_overrides · object

Overrides for block data

Example:
{ "number": "0x124214", "time": "0x124124" }
function_name
string

Name of the function invoked by the transaction.

Example:

"mint"